#
# spec file for package perl-Test-PerlTidy
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define cpan_name Test-PerlTidy
Name:           perl-Test-PerlTidy
Version:        20130104
Release:        lp150.1.3
Summary:        Check That All Your Files Are Tidy
License:        Artistic-1.0 OR GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Test-PerlTidy/
Source0:        https://cpan.metacpan.org/authors/id/L/LA/LARRYL/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(File::Finder)
BuildRequires:  perl(File::Slurp)
BuildRequires:  perl(Perl::Tidy) >= 20121207
BuildRequires:  perl(Text::Diff)
BuildRequires:  perl(parent)
Requires:       perl(File::Finder)
Requires:       perl(File::Slurp)
Requires:       perl(Perl::Tidy) >= 20121207
Requires:       perl(Text::Diff)
Requires:       perl(parent)
BuildArch:      noarch
%{perl_requires}

%description
This test submodule runs perltidy on files and reports errors if any
of the files differ after having been tidied. It does not permanently
modify the files being tested.

By default, perltidy will be run on files under the current directory
and its subdirectories with extensions matching: .pm .pl .PL .t.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%check
make %{?_smp_mflags} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc CHANGES README

%changelog
* Sat Oct  7 2017 mimi.vx@gmail.com
- spec-cleaned
* Wed Mar 15 2017 coolo@suse.com
- update with cpanspec
* Wed Mar 15 2017 jengelh@inai.de
- Replace storytelling by an actual %%description.
* Wed Feb  8 2017 mimi.vx@gmail.com
- initial package
